<form autocomplete='off'>
	<div class='content-header flexrow'>
		<img src='{{actor.img}}' data-edit='img'>
		<input name='name' value='{{actor.name}}'>
	</div>
	<content>
		<ul class='data-list'>
			<li class='header'>
				<h4 class='no-bg grip'></h4>
				<h4 class='name'>Name</h4>
				<h4 class='value'>Value</h4>
				<h4 class='no-bg'></h4>
			</li>
			{{#each data.sorted~}}
			<li class='entry {{#if editing}}editing{{/if}}' data-id='{{id}}'>
				<!-- VISIBLE DATA -->
				<h4 class='grip'><i class='fas fa-grip-vertical'></i></h4>
				<h4 class='name {{#if isTitle}}title{{/if}} {{#unless name}}unnamed{{/unless}}'>{{#if name}}{{name}}{{else}}Unnamed{{/if}}</h4>
				{{#unless isTitle}}
				<input class='value {{#if isNumber}}relative paint-on-select{{/if}}' name='{{@root.prefix}}.{{id}}.value' data-dtype='String' type='text' value='{{#if (and isNumber (and options.signed (gte value 0)))}}+{{/if}}{{value}}' placeholder='n/a' data-type='{{type}}'>
				{{/unless}}
				<div class='actions'>
					<action data-action='edit'><i class='fas fa-edit'></i></action>
				</div>
				<!-- EDITOR -->
				<div class='entry-editor'>
					<label class='padding'><!-- Padding --></label>
					<div class='data flexrow'>
						<div class='entry-id'>ID: {{id}}</div>
						<label class='entry-label'>
							Label
							<input class='name' name='{{@root.prefix}}.{{id}}.name' data-dtype='String' type='text' value='{{name}}' placeholder='Unnamed'>
						</label>
						<label class='entry-type'>
							Type
							<select name='{{@root.prefix}}.{{id}}.type' data-dtype='String'>
								{{selectOptions @root.dataTypes selected=type}}
							</select>
						</label>
						{{#if isNumber}}
						<label class='entry-signed'>
							Signed
							<input type='checkbox' data-dtype='Boolean' name='{{@root.prefix}}.{{id}}.options.signed' {{checked options.signed}}>
						</label>
						{{/if}}
						<div class='spacer'></div>
						<!--
						<label>Priority</label>
						<input class='priority' name='{{@root.prefix}}.{{id}}.priority' data-dtype='Number' type='number' min='0' step='1' value='{{priority}}'>
						-->
						<label>
							Sort
							<input class='sort relative' name='{{@root.prefix}}.{{id}}.sort' data-dtype='Number' type='number' min='0' step='1' value='{{sort}}'>
						</label>
						<!--
						<label>Parent</label>
						<select name='{{@root.prefix}}.{{id}}.parent'>
							<option value=''>n/a</option>
							{{!-- selectOptions @root.parentage selected=parent --}}
						</select>
						-->
					</div>
					<div class='actions'>
						<action data-action='delete'>
							<i class='fas fa-trash-alt'></i>
						</action>
					</div>
				</div>
			</li>
			{{~/each}}
			<li>
				<action data-action='create' class='full-row'>
					+ Add Data
				</action>
			</li>
		</ul>
	</content>
</form>
